Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 148185 - API review: Added SourcesHelper.registerExternalRoots with minimalSubfolders parameters
API review: Added SourcesHelper.registerExternalRoots with minimalSubfolders ...
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Ant Project
6.x
All Mac OS X
: P3 (vote)
: 6.x
Assigned To: Tomas Zezula
issues@projects
: API, API_REVIEW_FAST
Depends on:
Blocks: 134919
  Show dependency treegraph
 
Reported: 2008-09-24 10:32 UTC by Tomas Zezula
Modified: 2008-10-01 05:58 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
diff file (13.05 KB, patch)
2008-09-24 10:48 UTC, Tomas Zezula
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2008-09-24 10:32:57 UTC
The java infrastructure requires source roots to provide correctly query results (ClassPath, SFBQ, BFSQ, SLQ, EQ) which is not the case of the j2seproject with 
existing sources having includes, for more details see issue #134919.
The suggested API change adds new method registerExternalRoots (int policy, boolean minimalSubfolders) to the SourcesHelper class which allows the 
j2seproject to force the SourcesHelper to register whole source root in the SFOQ.
The change is compatible, covered by test.
Comment 1 Tomas Zezula 2008-09-24 10:48:12 UTC
Created attachment 70426 [details]
diff file
Comment 2 Jesse Glick 2008-09-25 01:38:43 UTC
All looks fine to me.
Comment 3 Tomas Zezula 2008-09-30 14:51:37 UTC
http://hg.netbeans.org/main/rev/2cae83b86e89
Comment 4 Quality Engineering 2008-10-01 05:58:31 UTC
Integrated into 'main-golden', will be available in build *200810010201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2cae83b86e89
User: Tomas Zezula <tzezula@netbeans.org>
Log: #148185:API review: Added SourcesHelper.registerExternalRoots with minimalSubfolders parameters


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo